﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head>
        <link href="../../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Uploading Roles using Schema Upload</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1><a name="top"></a>Uploading Roles using Schema Upload</h1>
        <p style="text-align: left;">This section provides information about uploading roles through the Schema upload method. This method uses a combination of CSV and SAV files.&#160;The CSV file is used for uploading the entitlement data and the corresponding SAV file must contain the mapping details required for storing the uploaded data in IGA.</p>
        <p>IGA provides samples of SAV and CSV files containing example values for entitlement details. These sample files are listed in the below table:</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col class="TableStyle-Default-Table-Column-Column1" />
                <col class="TableStyle-Default-Table-Column-Column1" />
                <col class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">SAV&#160;File Name</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">CSV&#160;File Name</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text"><a href="../../Resources/Attachments/roles.sav">roles.sav</a>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text"><a href="../../Resources/Attachments/role_ents.csv">role_ents.csv</a>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Use the sample files to upload roles.&#160;</p>
                            <div>
                                <ul>
                                    <li>
                                        <p class="table-text">Use the<label class="filename-path" style="font-weight: bold;"> roles.sav </label>file to upload the mapping details.</p>
                                    </li>
                                    <li>
                                        <p class="table-text">Use the <label class="filename-path" style="font-weight: bold;">role_ents.csv</label> file to upload the roles data.</p>
                                    </li>
                                </ul>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h2>Contents of the Upload Files</h2>
        <h3>roles.sav File</h3>
        <p>The below table lists the properties of roles.sav file.</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col class="TableStyle-Default-Table-Column-Column1" />
                <col class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Property</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">FILENAMESTARTSWITH</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p style="text-align: left;" class="table-text">Specify the string that you want to add as a prefix to the name of the&#160;corresponding CSV file.&#160;When multiple CSV files with the same prefix are uploaded, all the files will be processed by IGA.<br />For example, if you specify&#160;role for this property, then the CSV file name can be:&#160;role1.csv,&#160;role_ents.csv,&#160;role_Import_2.csv, or any file name that starts with role&#160;and has a .csv extension.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h3>role_ents.csv&#160;File</h3>
        <p>The below table lists the properties of&#160;role_ents.csv file.</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col class="TableStyle-Default-Table-Column-Column1" />
                <col class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Property</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ROLE_NAME</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the role that you are uploading.&#160;For example, Finance_IT, Admin</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">DESCRIPTION</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the description of the role that you are uploading.&#160;For example, IT Job role for the Finance department.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SECURITYSYSTEM</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the security system through which you need to establish a connection.&#160;For example, CorpAD,&#160;Amigopod, AD.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENDPOINT</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the endpoint associated with the entitlement type for the role that you are uploading.&#160;For example, CorpAD,&#160;Oracle, AD.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENTITLEMENTTYPE</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the type of entitlement&#160;for the role that you are uploading. For example,&#160;</p>
                            <ul>
                                <li>
                                    <p class="table-text">member_of in case of Active Directory</p>
                                </li>
                                <li>
                                    <p class="table-text">Profile in case of Salesforce&#160;</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENTITILEMENT_VALUE</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the value of the entitlement associated with the role you are uploading.&#160;</p>
                            <p class="table-text">For example, Salesforce_Admin</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">USERS</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the user associated with the role you are uploading.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ROLETYPE</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the type of role for the role that you are uploading.</p>
                            <p class="note">Ensure that the <strong>Role Type</strong> is specified as&#160;<strong>integer value</strong> in the CSV file for the role type that you are importing.</p>
                            <p class="note">Use the following Role Types and their corresponding integer values.</p>
                            <ul>
                                <li>
                                    <p class="note">ENABLER = 1</p>
                                </li>
                                <li>
                                    <p class="note">TRANSACTIONAL = 2</p>
                                </li>
                                <li>
                                    <p class="note">FIREFIGHTER = 3</p>
                                </li>
                                <li>
                                    <p class="note">ENTERPRISE = 4</p>
                                </li>
                                <li>
                                    <p class="note">APPLICATION = 5</p>
                                </li>
                                <li>
                                    <p class="note">ENTITLEMENTBASEDROLE&#160;= 6</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">STATUS</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the status of the role for the role that you are uploading. The options are:&#160;</p>
                            <ul>
                                <li><strong>1: </strong>Specifies that the role is active.</li>
                                <li><strong>0: </strong>Specifies that the role is inactive.</li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ROLEENDPOINT</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the endpoint for the role that you are uploading.</p>
                            <p class="table-text">For example, Roleendpoint1</p>
                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                <p class="note">Support for&#160;ROLEENDPOINT is available from Release v2020.1 onwards.</p>
                            </div>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SECURITYSYSTEM_NOT_AVAILABLE</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: left;" class="table-text">Specify the action to take if a security system&#160;does not exist in IGA.</p>
                            <p style="text-align: left;" class="table-text">The options are:</p>
                            <ul>
                                <li>
                                    <p class="table-text"><strong>CREATE: </strong>Creates a security system if it does not exist in IGA.&#160;</p>
                                </li>
                                <li>
                                    <p class="table-text"><strong>NOACTION: </strong>Does not&#160;create a security system.&#160;</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENDPOINT_NOT_AVAILABLE</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">Specify the action to take if an&#160;endpoint does not exist in IGA.<p style="text-align: left;" class="table-text">The options are:</p><ul><li><p class="table-text"><strong>CREATE: </strong>Creates an endpoint if it does not exist in IGA.</p></li><li><p class="table-text"><strong>NOACTION: </strong>Does not create an endpoint.</p></li></ul></td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENT_TYPE_NOT_AVAILABLE</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">Specify the action to take if an&#160;endpoint type&#160;does not exist in IGA.<p style="text-align: left;" class="table-text">The options are:</p><ul><li><p class="table-text"><strong>CREATE: </strong>Creates an entitlement type if it does not exist in IGA.</p></li><li><p class="table-text"><strong>NOACTION: </strong>Does not create an entitlement type.</p></li></ul></td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">ENT_VAL_NOT_AVAILABLE</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">Specify the action to take if an&#160;endpoint value&#160;does not exist in IGA.<p style="text-align: left;" class="table-text">The options are:</p><ul><li><p class="table-text"><strong>CREATE: </strong>Creates an entitlement value if it does not exist in IGA.</p></li><li><p class="table-text"><strong>NOACTION: </strong>Does not create an entitlement value.</p></li></ul></td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">REMOVE_USER_NOT_AVAILABLE</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p style="text-align: left;" class="table-text">Specify the action to take for the users that are not included in the CSV file but present in IGA.</p>
                            <p style="text-align: left;" class="table-text">The options are:</p>
                            <ul>
                                <li>
                                    <p class="table-text"><strong>True: </strong>Use this action to remove the users who present in IGA but not part of the CSV file.</p>
                                </li>
                                <li>
                                    <p class="table-text"><strong>False: </strong>Use this action to retain the existing users in IGA.</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">REMOVE_ENT_NOT_AVAILABLE</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p style="text-align: left;" class="table-text">Specify the action to take for the entitlements that are not included in the CSV file but present in IGA.</p>
                            <p style="text-align: left;" class="table-text">The options are:</p>
                            <ul>
                                <li>
                                    <p class="table-text"><strong>True: </strong>Use this action to remove the entitlements who are present in IGA but not part of the CSV file.</p>
                                </li>
                                <li>
                                    <p class="table-text"><strong>False: </strong>Use this action to retain the existing entitlements in IGA.</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <p>The schema-based role upload accepts owner ranks greater than 25. It imports the owner ranks in text formats such as Primary Certifier and Secondary Certifier. Additionally, it checks and allows only one user with the&#160;Primary Certifier rank.</p>
        <h2 style="text-align: left;" id="UploadingRolesusingSchemaUpload-UploadingtheRoleDetails">Uploading the Role Details</h2>
        <h3 style="text-align: left;" id="UploadingRolesusingSchemaUpload-Prerequisites">Prerequisites</h3>
        <ul>
            <li>Download the required sample CSV and SAV files, add the user details to them, and keep them ready for uploading.</li>
            <li>Ensure that the CSV file name must start with the string that you&#160;specified for the&#160;<strong>FILENAME&#160;</strong>property.</li>
            <li>Ensure that the SAV file name is suffixed with USERS.</li>
        </ul>
        <h3 style="text-align: left;" id="UploadingRolesusingSchemaUpload-UploadProcedure">Upload Procedure</h3>
        <ol>
            <li>
                <p>Click<strong> Admin &gt; Settings &gt; File Directory</strong>.<br />The<strong> File Directory </strong>page is displayed.</p>
            </li>
            <li>
                <p>Select the tab depending on the file you want to upload (<strong>SAV</strong> for uploading an SAV file,<strong> Datafiles </strong>for uploading a CSV file).&#160;</p>
            </li>
            <li>
                <p>Click the<strong> Upload </strong>icon or you can also select<strong> Upload New File</strong>.<br />The<strong> File To Upload </strong>dialog box is displayed.</p>
            </li>
            <li>
                <p>In the<strong> File To Upload </strong>dialog box, do the following:</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>Click&#160;<strong>Select</strong>&#160;next to the&#160;<strong>Data File </strong>box.</p>
                    </li>
                    <li>
                        <p>Select the file you want to upload, and then click&#160;<strong>Open</strong>.<br />The selected file is displayed in&#160;the<strong> Data File</strong>box.</p>
                    </li>
                    <li>
                        <p>Click<strong> Upload</strong>. The newly uploaded file is added to IGA.<br />After the upload is successful, the<strong> File Uploaded Successfully </strong>message appears at the top of the page.</p>
                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                            <p class="note">If an SAV file or a CSV file with the same name exists in IGA, the version of the newly uploaded file is incremented numerically. For example, if the USERS.sav file with version number 1 already exists, then version number 2 is assigned to the newly uploaded file.</p>
                        </div>
                    </li>
                </ol>
            </li>
            <li>Create a new job from&#160;<strong>Admin &gt; Job Control Panel &gt; Add New Job</strong>.<ol style="list-style-type: lower-alpha;"><li>&#160;Select&#160;Job Type as&#160;<strong>SCHEMA &gt; SchemaUserJob</strong>.&#160;</li><li>Specify the<strong> Job Name </strong>and click<strong> Save</strong>.&#160;<br />If you are using IGA prior to Release v5.5.0, then select<strong> Admin &gt; Job Control Panel &gt; Add New Job </strong>and select&#160;<strong>File based Roles Import (SchemaRoleJob)</strong> in<strong> Job Type</strong>.<br />Specify the Job Name to create a job trigger, specify the schedule details as per your requirement.</li><li>To start the job, click&#160;<strong>Action</strong>, then click&#160;<strong>START</strong>.</li></ol></li>
        </ol>
        <p>After&#160;the job is executed, the corresponding entitlement data is uploaded to IGA. The status of the job is available in&#160;<strong style="text-align: left;">Job History Details</strong>. If there is a mismatch in the&#160;number of columns in CSV and SAV files, it is captured in the&#160;<strong style="text-align: left;">Response</strong>&#160;column.</p>
    </body>
</html>